Hello, Everyone!

I can see that Version 2 will allow me to use what I already have with version 1, so I have two questions:

1) Do I have to buy version 2, or is there an upgrade package to buy...